Commit 0dccc9a3 authored by Vitaly Lipatov's avatar Vitaly Lipatov

convert comments to utf8

parent 5cfa9ea7
...@@ -3,8 +3,8 @@ ...@@ -3,8 +3,8 @@
# Author: Vitaly Lipatov <lav@etersoft.ru> # Author: Vitaly Lipatov <lav@etersoft.ru>
# Public domain # Public domain
# #
# SRPM- hasher # Пересборка указанных SRPM-пакетов в hasher
# -i hasher # -i устанавливает в тестовый hasher после пересборки
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/functions/common . `dirname $0`/../share/eterbuild/functions/common
......
...@@ -5,9 +5,9 @@ ...@@ -5,9 +5,9 @@
# #
# BB - binary build (like rpm option -bb) # BB - binary build (like rpm option -bb)
# #
# rpm- # Собирает двоичные rpm-пакеты по указанным спекам
# : # Параметры:
# - - # - название спек-файла
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/functions/common . `dirname $0`/../share/eterbuild/functions/common
...@@ -54,7 +54,7 @@ while getopts :hciprR opt; do ...@@ -54,7 +54,7 @@ while getopts :hciprR opt; do
esac esac
done done
# FIXME: (, -i, -b) # FIXME: параметры передаются и дальше (например, -i, -b)
# remove args that were options # remove args that were options
if [ $# -gt 0 ]; then if [ $# -gt 0 ]; then
shift $((OPTIND - 1)) shift $((OPTIND - 1))
......
...@@ -6,8 +6,8 @@ ...@@ -6,8 +6,8 @@
# BPH - backport; use hasher # BPH - backport; use hasher
# Makes backport package to any target platfrom (RPM, DEB, TGZ) # Makes backport package to any target platfrom (RPM, DEB, TGZ)
# . alt4 # Релиз строится на основе релиза из Сизифа. Если там был alt4
# alt0.M24.4 # то здесь будет alt0.M24.4
# TODO: use RPMBUILDARG # TODO: use RPMBUILDARG
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
...@@ -135,7 +135,7 @@ done ...@@ -135,7 +135,7 @@ done
#echo GRP: $LISTGROUP, ALLGRPREPLRULES: $ALLGRPREPLRULES #echo GRP: $LISTGROUP, ALLGRPREPLRULES: $ALLGRPREPLRULES
# Replace all packages names in source spec and add %defattr to files sections # Replace all packages names in source spec and add %defattr to files sections
# FIXME: # FIXME: добавляет ненужные пустые строки
function awk_e1() function awk_e1()
{ {
......
...@@ -5,15 +5,15 @@ ...@@ -5,15 +5,15 @@
# #
# BS - build source # BS - build source
# #
# # Создаёт пакет с исходниками по спеку
# : # Параметры:
# - - # - названия спек-файлов
# - # - или пакетов
# -s, # Если указан ключ -s, подписываем пакет
# --nodeps, # Если указан ключ --nodeps, не учитываем сборочные зависимости
# -u, incoming # Если указан ключ -u, отправляем пакет в incoming
# -d, incoming # Если указан ключ -d, удаляем из incoming
# -n, # Если указан -n, не проверяем перед отправкой
# TODO: -r # TODO: -r
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
...@@ -161,7 +161,7 @@ if [ -n "$NOSOURCE" ] ; then ...@@ -161,7 +161,7 @@ if [ -n "$NOSOURCE" ] ; then
exit $? exit $?
fi fi
# src.rpm # Упаковываем пакеты в src.rpm
# FIXME: -s can be in name... (but not in option!) # FIXME: -s can be in name... (but not in option!)
#LISTRPMARGS= #LISTRPMARGS=
#LISTRPMARGS=${LISTRPMARGS/-m/} #LISTRPMARGS=${LISTRPMARGS/-m/}
......
...@@ -5,11 +5,11 @@ ...@@ -5,11 +5,11 @@
# #
# BSH - build source; use hasher # BSH - build source; use hasher
# #
# () hasher # Создаёт пакет(ы) по указанным спекам и собирает в hasher
# ̣ ( -r) # Поддерживает удалённую сборку пакета ( ключ -r)
# ( -m) # Присылка результата сборки по почте (ключ -m)
# TODO: # TODO: Сжимать отправляемый лог
# TODO: ?? # TODO: присылать обратно собранные пакеты??
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/functions/common . `dirname $0`/../share/eterbuild/functions/common
...@@ -76,7 +76,7 @@ mygetopts $LISTARGS ...@@ -76,7 +76,7 @@ mygetopts $LISTARGS
add_changelog_helper "- new version" $LISTNAMES add_changelog_helper "- new version" $LISTNAMES
# We do not not pass args for myhsh here... # We do not not pass args for myhsh here...
# FIXME: # FIXME: не обрабатывает два пропускаемых вместе параметра
pack_src_rpm $COMMIT $(echo $LISTRPMARGS | sed -e "s|-[suUicl]||g") pack_src_rpm $COMMIT $(echo $LISTRPMARGS | sed -e "s|-[suUicl]||g")
# TODO: skip for prev. packed src.rpm # TODO: skip for prev. packed src.rpm
......
...@@ -3,11 +3,11 @@ ...@@ -3,11 +3,11 @@
# Author: Vitaly Lipatov <lav@etersoft.ru> # Author: Vitaly Lipatov <lav@etersoft.ru>
# Public domain # Public domain
# #
# # Открываем багзиллу на багах пакета
# : # Параметры:
# rpmbugs - | | -qf , # rpmbugs название спек-файла | название пакета | -qf путь к файлу, который лежит в пакете
# TODO: ( ?) # TODO: окошко вешания баги (использовать перловые возможности?)
# TODO: # TODO: нормальную обработку парамеров
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/functions/common . `dirname $0`/../share/eterbuild/functions/common
......
...@@ -4,8 +4,8 @@ ...@@ -4,8 +4,8 @@
# Public domain # Public domain
# #
# CS -- cleanup spec (like cleanup_spec command) # CS -- cleanup spec (like cleanup_spec command)
# : # Параметры:
# - - # - название спек-файла
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/functions/common . `dirname $0`/../share/eterbuild/functions/common
......
...@@ -3,9 +3,9 @@ ...@@ -3,9 +3,9 @@
# Author: Vitaly Lipatov <lav@etersoft.ru> # Author: Vitaly Lipatov <lav@etersoft.ru>
# Public domain # Public domain
# #
# src.rpm- ( ALT Linux) . # Скачивает исходный src.rpm-пакет с одного из репозиториев (по умолчанию ALT Linux) для пакета с указанным названием.
# # Также можно сразу указать название пакета с исходниками
# apt-get source # Функции скрипта похожи на команду apt-get source пакет
# -c - checkonline # -c - checkonline
# -n - do not install # -n - do not install
...@@ -191,7 +191,7 @@ while getopts :habcdglmnrs opt; do ...@@ -191,7 +191,7 @@ while getopts :habcdglmnrs opt; do
esac esac
done done
# FIXME: (, -i, -b) # FIXME: параметры передаются и дальше (например, -i, -b)
# remove args that were options # remove args that were options
if [ $# -gt 0 ]; then if [ $# -gt 0 ]; then
shift $((OPTIND - 1)) shift $((OPTIND - 1))
...@@ -217,11 +217,11 @@ fi ...@@ -217,11 +217,11 @@ fi
test -z "$LISTARGS" && fatal "Please run with spec/package name" test -z "$LISTARGS" && fatal "Please run with spec/package name"
# , ( ?), # список названий систем, адресов (с зеркалами?), и режимов фильтрации
# - # название кэш-файла строить из названия системы
# # выводить найденное сразу везде
# #
# - [] # уточнение - [система] пакет
# install required for build binary packages # install required for build binary packages
if [ -n "$INSTALLBINARY" ] ; then if [ -n "$INSTALLBINARY" ] ; then
......
...@@ -5,9 +5,9 @@ ...@@ -5,9 +5,9 @@
# #
# GS - get source # GS - get source
# #
# , gz/bz2/tgz/zip # Скачивает исходники, автоматически выправляя ситуацию с gz/bz2/tgz/zip
# : # Параметры:
# - - # - название спек-файла
# TODO: -h (build in hasher), -s (sign for upload) # TODO: -h (build in hasher), -s (sign for upload)
# -a - get all source # -a - get all source
# check for the same file with other compression # check for the same file with other compression
......
...@@ -3,9 +3,9 @@ ...@@ -3,9 +3,9 @@
# Author: Vitaly Lipatov <lav@etersoft.ru> # Author: Vitaly Lipatov <lav@etersoft.ru>
# Public domain # Public domain
# #
# , , which # Выводит, к какому пакету относится указанный файл, находимый через which
# : # Параметры:
# - # - название файл
# TODO not -i only, we need any key # TODO not -i only, we need any key
if [ "$1" = "-h" ]; then if [ "$1" = "-h" ]; then
......
...@@ -3,10 +3,10 @@ ...@@ -3,10 +3,10 @@
# Author: Vitaly Lipatov <lav@etersoft.ru> # Author: Vitaly Lipatov <lav@etersoft.ru>
# Public domain # Public domain
# #
# , , # Обновляет версию пакета, получает исходники,
# , : # собирает, устанавливает на тестирование и выкладывает новую версию пакета:
# rpmrb [] # rpmrb спек версия [релиз]
# 2.6.1 (), 2.6 (major) .1 (minor) # версия может быть указана как 2.6.1 (полная), 2.6 (major) или .1 (minor)
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/functions/common . `dirname $0`/../share/eterbuild/functions/common
......
...@@ -4,8 +4,8 @@ ...@@ -4,8 +4,8 @@
# Public domain # Public domain
# #
# Open package Url in BROWSER # Open package Url in BROWSER
# : # Параметры:
# - - # - название спек-файла
# #
# load common functions, compatible with local and installed script # load common functions, compatible with local and installed script
......
...@@ -7,23 +7,23 @@ ...@@ -7,23 +7,23 @@
# You can copy this file as ~/.eterbuild-config for per user settings # You can copy this file as ~/.eterbuild-config for per user settings
# and uncomment any setting line # and uncomment any setting line
# hasher: # Путь к каталогу сборки hasher:
#HASHERDIR=~/hasher #HASHERDIR=~/hasher
#HASHER_ARG="" #HASHER_ARG=""
# ̣ ssh # Удалённый сборочный сервер в нотации ssh
#BUILDSERVER="builder" #BUILDSERVER="builder"
# TODO: # TODO: Каталог на сборочном сервере с собранными пакетами
#BUILDSERVERPATH=$HASHERDIR/repo/i586/RPMS.hasher #BUILDSERVERPATH=$HASHERDIR/repo/i586/RPMS.hasher
# ޣ, # Кому отправлять отчёт, на какой адрес
#OWNERMAIL="Vitaly Lipatov <lav@altlinux.ru>" #OWNERMAIL="Vitaly Lipatov <lav@altlinux.ru>"
# # Повышенная говорливость
#DEBUG="-v" #DEBUG="-v"
# , %_tmppath .rpmmacros # Каталог сборки, указываемый в переменной %_tmppath .rpmmacros
#BUILDROOT= #BUILDROOT=
# You can uncomment it: # You can uncomment it:
...@@ -33,24 +33,24 @@ ...@@ -33,24 +33,24 @@
#APTCONFBASE=/etc/apt/apt.conf #APTCONFBASE=/etc/apt/apt.conf
#REMOTERPMDIR="~/RPM" #REMOTERPMDIR="~/RPM"
# , src.rpm # Каталог, куда копируются подписанные src.rpm
#UPLOADDIR=$RPMDIR/upload #UPLOADDIR=$RPMDIR/upload
# ftp- # Адрес ftp-сервера компании
#COMPANYFTP=etersoft.ru #COMPANYFTP=etersoft.ru
# ftp- ( ssh-) # Базовый каталог расположения ftp-сервера (поддерживаются локальные и ssh-пути)
#TARGETFTPBASE=ftp.eter:/var/ftp #TARGETFTPBASE=ftp.eter:/var/ftp
# # Каталог для записи протоколов сборки
#LOGDIR=$RPMDIR/log #LOGDIR=$RPMDIR/log
#RSYNCSISYPHUS=rsync.altlinux.org::ALTLinux/Sisyphus #RSYNCSISYPHUS=rsync.altlinux.org::ALTLinux/Sisyphus
# SSH- # Базовый SSH-путь для отправки пакетов
#RSYNCINCOMING=incoming:/incoming #RSYNCINCOMING=incoming:/incoming
# , # Ключ, используемый при отправке
#SSH_KEYFILE=~/.ssh/id_dsa #SSH_KEYFILE=~/.ssh/id_dsa
# See sisyphus_check --help for other options # See sisyphus_check --help for other options
......
...@@ -81,7 +81,7 @@ get_altdistr_mod() ...@@ -81,7 +81,7 @@ get_altdistr_mod()
} }
# TODO: include in sisyphus_check # TODO: include in sisyphus_check
# , MENV # Проверяем, соответствует ли релиз пакетов указанному в MENV
function pkg_release_check() function pkg_release_check()
{ {
local STREL=alt local STREL=alt
...@@ -90,7 +90,7 @@ function pkg_release_check() ...@@ -90,7 +90,7 @@ function pkg_release_check()
if [ "$MENV" = "SS" ] || [ "$MENV" = "DD" ] ; then if [ "$MENV" = "SS" ] || [ "$MENV" = "DD" ] ; then
for i in $@ ; do for i in $@ ; do
if [ -z "${i/*$STREL[0-9].M[0-9][0-9]*/}" ] ; then if [ -z "${i/*$STREL[0-9].M[0-9][0-9]*/}" ] ; then
# # Значит не тот релиз
fatal "Incorrect release in $i package: was prepared for Sisyphus" fatal "Incorrect release in $i package: was prepared for Sisyphus"
fi fi
done done
...@@ -98,7 +98,7 @@ function pkg_release_check() ...@@ -98,7 +98,7 @@ function pkg_release_check()
fi fi
for i in $@ ; do for i in $@ ; do
if [ -n "${i/*$STREL[0-9].$MENV*/}" ] ; then if [ -n "${i/*$STREL[0-9].$MENV*/}" ] ; then
# # Значит не тот релиз
fatal "Incorrect release in $i package: was prepared for $MENV" fatal "Incorrect release in $i package: was prepared for $MENV"
fi fi
done done
......
...@@ -142,7 +142,7 @@ do ...@@ -142,7 +142,7 @@ do
fatal "pack_src_rpm: Can't find '$i'" fatal "pack_src_rpm: Can't find '$i'"
fi fi
else else
# # Получаем названия пакетов по спеку
# BASENAME, RELEASE, VERSION, NAMESRPMIN, NAMERPMIN # BASENAME, RELEASE, VERSION, NAMESRPMIN, NAMERPMIN
build_rpms_name "$i" $ARGS build_rpms_name "$i" $ARGS
if [ -n "${SIGN}" ]; then if [ -n "${SIGN}" ]; then
......
...@@ -38,14 +38,14 @@ if ! set_eterbuilddir ; then ...@@ -38,14 +38,14 @@ if ! set_eterbuilddir ; then
exit 1 exit 1
fi fi
# # Выводит указанное сообщение об ошибке и завершает программу
fatal() fatal()
{ {
echog "Error: $@" >&2 echog "Error: $@" >&2
exit 1 exit 1
} }
# # Выводит указанное сообщение
warning() warning()
{ {
echog "Warning: $@" >&2 echog "Warning: $@" >&2
...@@ -99,7 +99,7 @@ fi ...@@ -99,7 +99,7 @@ fi
# Internal # Internal
# , : -M23 -M24 , # Определяет, для какой среды собирать: по ключу -M23 -M24 или по каталогу, в котором спек
detect_target_env() detect_target_env()
{ {
local DISTRNAME=`distr_vendor -e` local DISTRNAME=`distr_vendor -e`
...@@ -119,13 +119,13 @@ else ...@@ -119,13 +119,13 @@ else
fi fi
} }
# LISTNAMES # Отделяет файлы в LISTNAMES
# MENV # Отделяет указание среды в MENV
# LISTARGS # Устанавливает LISTARGS в оставшиеся аргументы
# : # использование:
# - (MENV) # - отделяем среду (MENV)
# - # - отделяем файлы
# - # - оставшееся обрабатываем как параметры программы
parse_cmd_pre() parse_cmd_pre()
{ {
local i local i
...@@ -143,7 +143,7 @@ LISTARGS= ...@@ -143,7 +143,7 @@ LISTARGS=
OPTINDEX=1 OPTINDEX=1
for i in "$@" for i in "$@"
do do
# , , . # Если файл существует, то добавляем, иначе считаем аргумент параметром.
if [ -f "$i" ]; then if [ -f "$i" ]; then
# echo is workaround for missed readlink # echo is workaround for missed readlink
LISTNAMES="$LISTNAMES $(readlink -f $i 2>/dev/null | echo $i)" LISTNAMES="$LISTNAMES $(readlink -f $i 2>/dev/null | echo $i)"
......
...@@ -5,7 +5,7 @@ ...@@ -5,7 +5,7 @@
ETERBUILDVERSION=175 ETERBUILDVERSION=175
# SUDO # Определяем SUDO для использования
SUDO="sudo" SUDO="sudo"
# for some shells? not for bash # for some shells? not for bash
test -z "$UID" && UID=`id -u` test -z "$UID" && UID=`id -u`
......
...@@ -22,10 +22,10 @@ build_buildroot() ...@@ -22,10 +22,10 @@ build_buildroot()
return 0 return 0
} }
# . # Вынимаем информацию о пакете из спека.
# ! # Внутренние макроопределения раскрываются!
# Name: # Пробельные символы после Name: могут быть различными
# TODO: NAMESPEC, SPECNAME # TODO: в другом месте не NAMESPEC, а не SPECNAME
build_rpms_name() build_rpms_name()
{ {
......
...@@ -10,7 +10,7 @@ get_var() ...@@ -10,7 +10,7 @@ get_var()
} }
# FIXME: only ALT handled rpm -bE # FIXME: only ALT handled rpm -bE
# # Раскрывает макросы в спеке и выводит на стандартный вывод
eval_spec() eval_spec()
{ {
# TODO: use rpm -showrc instead -bE for get main variables? # TODO: use rpm -showrc instead -bE for get main variables?
...@@ -95,7 +95,7 @@ get_tarballname() ...@@ -95,7 +95,7 @@ get_tarballname()
# Set version for spec (args: spec version), f.i. test.spec 1.2.3) # Set version for spec (args: spec version), f.i. test.spec 1.2.3)
# Supports %major and %ver_major macros in spec # Supports %major and %ver_major macros in spec
# 2.6.1 (), 2.6 (major) .1 (minor) # версия может быть указана как 2.6.1 (полная), 2.6 (major) или .1 (minor)
set_version() set_version()
{ {
local SPEC=$1 local SPEC=$1
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment